using UnityEngine;

public class Score : MonoBehaviour
{
	public static int ComboLevel;
	public static int Total;
	public static void ScoreBlock(int blockValue)
	{
		if (instance == null)
			return;

		Total += blockValue * (1 + Mathf.Min(5, ComboLevel));
	}

	public static void ScoreFullClear()
	{
		if (instance == null)
			return;

		Total += 500;
	}

	private static Score instance;


	public int CurrentScore;

    void Start()
    {

		instance = this;
		Total = 0;
	}

    void Update()
    {
		CurrentScore = Total;
	}
}
